package cn.cecep.talroad.mapper;

import cn.cecep.talroad.domain.BStatTablePwxkProducts;
import cn.cecep.talroad.vo.BStatTablePwxkProductsVo;
import cn.cecep.talroad.vo.query.BStatTablepPwxkWaterQuery;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface BStatTablePwxkProductsMapper extends BaseMapper<BStatTablePwxkProducts> {
    int updateBatch(List<BStatTablePwxkProducts> list);

    int updateBatchSelective(List<BStatTablePwxkProducts> list);

    int batchInsert(@Param("list") List<BStatTablePwxkProducts> list);

    List<BStatTablePwxkProductsVo> selectListAndFactory(BStatTablepPwxkWaterQuery strings);
}